input[type="text"],
input[type="password"] {
    width: calc(216px - 60px);
    border-radius: rem(200);
    padding: 15px 16px;
    background-color: transparent;
    border: 1px solid #857FE433;
    color: var(--color-default-1);
    box-sizing: border-box;

    &::placeholder {
        color: var(--color-default-1);
    }

    &:hover {
        border-color: var(--color-default-2);
        color: var(--white);

        &::placeholder {
            color: var(--white)
        }
    }

    &:focus,
    &:focus-visible {
        outline: 0;
        color: var(--white);
        border-color: var(--color-default-2);
        background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
        box-shadow: 0px 8px 16px 0px #7090B01F;

        &::placeholder {
            color: var(--white)
        }
    }
}

.input-search {
    padding-left: 40px;
}

.custom-dropdown {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 2;
    cursor: pointer;
    min-width: 212px;
    width: max-content;
    padding: rem(15) 0 rem(15) rem(20);
    border: 1px solid #857FE433;
    border-radius: rem(24);
    background: transparent;
    transition: all 0.3s ease;

    .selected-option {
        position: relative;
        background-color: transparent;
        color: var(--color-default-1);
        font-size: rem(14);
        line-height: 15px;
        display: flex;
        z-index: 2000;
        cursor: pointer;
        transition: all 0.3s ease;

        .label {
            font-weight: 600;
            margin-right: 8px;
        }

        i {
            font-size: 10px;
            color: var(--color-default-1);
            position: absolute;
            right: 12px;
            top: 50%;
            transform: translateY(-50%) rotate(0);
            transition: all 0.3s ease;
        }
    }

    .options {
        position: relative;
        top: calc(100% - 25px);
        left: 0;
        z-index: 1000;
        width: 100%;
        background-color: transparent;
        margin: 0;
        list-style: none;
        border-bottom-left-radius: 35px;
        border-bottom-right-radius: 35px;
        padding: rem(8) rem(12) rem(0) rem(0);

        li {
            position: relative;
            font-size: rem(14);
            line-height: rem(19);
            font-weight: 300;
            color: var(--color-default-1);
            padding: 10px 0;
            transition: all 0.3s ease;

            &.selected {
                color: var(--white);

                &::after {
                    opacity: 1;
                    border-color: var(--color-hover-icon);
                }
            }

            &:hover {
                color: var(--white);

                &::after {
                    opacity: 1;
                }
            }

            &::after {
                content: "";
                position: absolute;
                right: rem(3);
                top: rem(13);
                width: rem(4);
                height: rem(10);
                border: solid var(--white);
                border-width: 0 1px 1px 0;
                transform: rotate(45deg);
                opacity: 0;
                transition: all 0.3s ease;
            }
        }
    }

    &.open {
        background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);

        .selected-option {
            color: var(--white);

            i {
                transform: translateY(-50%) rotate(-180deg);
            }
        }
    }
}

.form-group-checkbox {
    position: relative;
    padding-left: rem(25);
    cursor: pointer;
    user-select: none;
    margin-right: rem(14);

    display: flex;
    line-height: rem(18);
    gap: rem(7);

    padding: 0 !important;
    max-width: max-content;
    display: inline-block;
    vertical-align: middle;

    input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;

        &:checked~.checkbox__checkmark {
            background: radial-gradient(50% 50% at 50% 50%, rgba(247, 147, 30, 0.2) 0%, rgba(247, 147, 30, 0.2) 100%);
            border-color: var(--color-hover-icon);
        }

        &:checked~.checkbox__checkmark:after {
            opacity: 1;
            border-color: var(--color-hover-icon);
        }
    }

    &:hover {
        input~.checkbox__checkmark {
            background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.466667) 0%, rgba(171, 167, 238, 0.466667) 100%);

            &::after {
                opacity: 1;
            }
        }
    }

    .checkbox__checkmark {
        // position: absolute;
        // top: 0;
        // left: 0;
        position: relative;
        height: rem(18);
        width: rem(18);
        background-color: transparent;
        border: 1px solid var(--color-default-1);
        transition: background-color 0.25s ease;
        border-radius: rem(3);

        &:after {
            content: "";
            position: absolute;
            left: 6px;
            top: 1px;
            width: 3px;
            height: 10px;
            border: solid var(--white);
            border-width: 0 1px 1px 0;
            transform: rotate(45deg);
            opacity: 0;
            transition: opacity 0.25s ease;
        }
    }

    .checkbox__body {
        color: var(--color-default-1);
        font-size: rem(13);
        font-weight: 400;
    }
}

.field {

    &-modal-big-label {

        position: relative;

        label {
            display: block;
            font-size: rem(13);
            line-height: 1.5em;
            // font-weight: 300;
            font-family: $font;
            color: var(--white);

            span {
                display: inline-block;
                margin-right: rem(3);
                color: var(--color-default-1);
            }

            &.label {
                margin-bottom: rem(24);
            }

        }

        .label-parent{
            display: block;
            font-size: rem(13);
            line-height: 1.5em;
            font-family: $font;
            color: var(--white);
            margin-bottom: 56px;

            span {
                display: inline-block;
                margin-right: rem(3);
                color: var(--color-default-1);
            }
        }

        .label-select{
            display: block;
            font-size: rem(13);
            line-height: 1.5em;
            font-family: $font;
            color: var(--white);
            margin-bottom: 24px;
            position: relative;
            top: 0;
            left: 0;

            span {
                display: inline-block;
                margin-right: rem(3);
                color: var(--color-default-1);
            }
        }

        input {
            padding: 0;
            padding-bottom: rem(16);
            background-color: transparent;
            border-radius: 0;
            font-size: rem(32);
            color: var(--black);
            font-family: $font;
            font-weight: 300;
            box-sizing: border-box;
            width: 100%;

            &::placeholder {
                color: var(--black);
            }

            &[type="text"] {
                padding: rem(24);
                color: var(--white);
                width: 100%;
                border: 1px solid rgba(133, 127, 228, 0.4);
                filter: drop-shadow(0px 8px 16px rgba(112, 144, 176, 0.12));
                border-radius: rem(65);

                &::placeholder {
                    color: var(--white);
                }

            }

            &:focus,
            &:focus-visible,
            &:hover {
                &+.max-characters {
                    display: flex;
                }
            }

        }

        textarea {
            width: calc(100% - 32px);
            height: 102px;
            border: 1px solid rgba(133, 127, 228, 0.4);
            filter: drop-shadow(0px 8px 16px rgba(112, 144, 176, 0.12));
            border-radius: rem(24);
            background-color: transparent;
            color: var(--white);
            font-family: $font;
            font-weight: 600;
            font-size: rem(14);
            padding: rem(23) rem(16);
            resize: none;
            margin-bottom: rem(12);

            &::placeholder {
                color: var(--color-default-1);
            }

            &:last-child {
                margin-bottom: 0;
            }

            &:focus,
            &:focus-visible {
                outline: 0;
                color: var(--white);
                border-color: var(--color-default-2);
                background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
                box-shadow: 0px 8px 16px 0px #7090B01F;

                &::placeholder {
                    color: var(--white)
                }
            }
        }

        .max-characters {
            position: absolute;
            bottom: rem(33);
            right: rem(24);

            display: flex;
            align-items: center;
            gap: rem(16);
            display: none;

            .text {
                font-size: rem(13);
                line-height: 1em;
                color: var(--color-default-2);
            }

            button {
                background-color: transparent;
                border: 0;
                border-radius: 0;
                padding: 0;
                color: var(--color-default-2);
                font-size: rem(16);
                line-height: 1em;

                i {
                    font-size: rem(16);
                    line-height: 1em;
                }

            }

            .separator {
                height: rem(16);
                width: rem(1);
                background-color: var(--color-default-2);
                display: block;
            }

        }

    }

}

.custom-select-wrapper {
    position: relative;
    border: 1px solid rgba(133, 127, 228, 0.4);
    box-sizing: border-box;
    font-size: 0.875rem !important;
    width: 100% !important;
    border-radius: 1.5rem !important;
    transition: all 0.3s ease;

    .custom-select-input {
        cursor: pointer;

        &::before {
            content: "\e900";
            font-family: "icomoon" !important;
            font-size: rem(10);
            position: absolute;
            top: rem(27);
            right: rem(24);
            transform: rotate(0deg);
            transition: all 0.3s ease;
        }
    }

    .dropdown {
        position: relative;
        border-top: none;
        z-index: 1000;
        margin-top: rem(5);
    }

    .dropdown-item {
        padding: rem(12) rem(16);
        width: 100%;
        border: 0;
        margin-bottom: rem(12);
        cursor: pointer;
        color: var(--color-default-1);
        background: transparent;
        transition: all 0.3s ease-in-out;
        text-align: left;

        &:hover {
            background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
            color: var(--white);
        }
    }

    &.open {
        background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
        border-color: #857FE466;

        .custom-select-input:before {
            transform: rotate(180deg);
        }
    }

}

.input-radio {
    margin-bottom: rem(60);

    input[type="radio"] {
        display: none;

        &:checked+label::before {
            border-color: var(--white);
        }

        &:checked+label::after {
            opacity: 1;
        }
    }

    label {
        position: relative !important;
        padding: 0 0 0 rem(30);
        font-weight: 400;
        display: block;
        left: 0 !important;

        &:before {
            content: "";
            border: 1px solid var(--color-default-1);
            background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
            position: absolute;
            top: 0;
            bottom: 0;
            margin: auto;
            border-radius: 100%;
            left: 0;
            height: rem(20);
            width: rem(20);
        }

        &:after {
            content: "";
            position: absolute;
            top: 50%;
            left: rem(5);
            transform: translateY(-50%);
            border-radius: 100%;
            height: rem(12);
            width: rem(12);
            background: var(--white);
            opacity: 0;
        }
    }
}